diff --git a/rubygem-foreman_chef/rubygem-foreman_chef.spec b/rubygem-foreman_chef/rubygem-foreman_chef.spec
index 2a57fd803..4489c5a3c 100644
--- a/rubygem-foreman_chef/rubygem-foreman_chef.spec
+++ b/rubygem-foreman_chef/rubygem-foreman_chef.spec
@@ -27,27 +27,28 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.4.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(deface)
 Requires: %{?scl_prefix}rubygem(foreman-tasks) >= 0.6.9
 Requires: %{?scl_prefix}rubygem(foreman-tasks) < 0.8.0
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-chef
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Foreman extensions that are required for better Chef integration.
@@ -55,6 +56,7 @@ Foreman extensions that are required for better Chef integration.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -139,5 +141,3 @@ exit 0
 
 * Mon Jan 20 2014 Marek Hulan <mhulan@redhat.com> 0.0.3-1
 - new package built with tito
-
-
diff --git a/rubygem-foreman_column_view/rubygem-foreman_column_view.spec b/rubygem-foreman_column_view/rubygem-foreman_column_view.spec
index a82ff3476..8cdde89c6 100644
--- a/rubygem-foreman_column_view/rubygem-foreman_column_view.spec
+++ b/rubygem-foreman_column_view/rubygem-foreman_column_view.spec
@@ -29,24 +29,25 @@ Requires:   foreman >= 1.2.0
 Requires:   %{?scl_prefix}rubygem(deface) < 2.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-column_view
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Displays an additional column in the Foreman Hosts view and/or additional
@@ -55,6 +56,7 @@ entries in the Host show page.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -123,4 +125,3 @@ CONFIG
 
 * Tue Aug 20 2013 Dominic Cleal <dcleal@redhat.com> 0.1.2-1
 - new package built with tito
-
diff --git a/rubygem-foreman_custom_parameters/rubygem-foreman_custom_parameters.spec b/rubygem-foreman_custom_parameters/rubygem-foreman_custom_parameters.spec
index 38087546a..960204342 100644
--- a/rubygem-foreman_custom_parameters/rubygem-foreman_custom_parameters.spec
+++ b/rubygem-foreman_custom_parameters/rubygem-foreman_custom_parameters.spec
@@ -28,24 +28,25 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.2.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-custom-parameters
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Plugin to improve storage of custom information in parameters.
@@ -53,6 +54,7 @@ Plugin to improve storage of custom information in parameters.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -109,4 +111,3 @@ mv %{buildroot}/%{gem_instdir}/custom_parameters.yaml.example \
 
 * Thu Sep 19 2013 Dominic Cleal <dcleal@redhat.com> 0.0.1-1
 - new package built with tito
-
diff --git a/rubygem-foreman_default_hostgroup/rubygem-foreman_default_hostgroup.spec b/rubygem-foreman_default_hostgroup/rubygem-foreman_default_hostgroup.spec
index a90fffede..9d134edaf 100644
--- a/rubygem-foreman_default_hostgroup/rubygem-foreman_default_hostgroup.spec
+++ b/rubygem-foreman_default_hostgroup/rubygem-foreman_default_hostgroup.spec
@@ -28,24 +28,25 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.5.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-default-hostgroup
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Adds the option to specify a default hostgroup for new hosts created from
@@ -54,6 +55,7 @@ facts/reports.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -115,4 +117,3 @@ mv %{buildroot}%{gem_instdir}/default_hostgroup.yaml.example \
 
 * Fri Oct 04 2013 Dominic Cleal <dcleal@redhat.com> 1.0.0-1
 - new package built with tito
-
diff --git a/rubygem-foreman_dhcp_browser/rubygem-foreman_dhcp_browser.spec b/rubygem-foreman_dhcp_browser/rubygem-foreman_dhcp_browser.spec
index 1a8b818c2..844d7b1b3 100644
--- a/rubygem-foreman_dhcp_browser/rubygem-foreman_dhcp_browser.spec
+++ b/rubygem-foreman_dhcp_browser/rubygem-foreman_dhcp_browser.spec
@@ -27,27 +27,28 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.2.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 Requires: %{?scl_prefix}rubygem(deface) < 2.0.0
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-dhcp-browser
 Provides: foreman-plugin-dhcp_browser
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Plugin for Foreman to browse and add/edit/delete DHCP leases independent of
@@ -56,6 +57,7 @@ Foreman's host creation.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -113,4 +115,3 @@ GEMFILE
 
 * Tue Dec 10 2013 Dominic Cleal <dcleal@redhat.com> 0.0.3-1
 - new package built with tito
-
diff --git a/rubygem-foreman_digitalocean/rubygem-foreman_digitalocean.spec b/rubygem-foreman_digitalocean/rubygem-foreman_digitalocean.spec
index 551e3f805..61c9e1173 100644
--- a/rubygem-foreman_digitalocean/rubygem-foreman_digitalocean.spec
+++ b/rubygem-foreman_digitalocean/rubygem-foreman_digitalocean.spec
@@ -28,25 +28,26 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman-compute >= 1.5.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-digitalocean
 Provides: foreman-digitalocean
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This plugin enables provisioning and managing DigitalOcean in Foreman.
@@ -54,6 +55,7 @@ This plugin enables provisioning and managing DigitalOcean in Foreman.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
diff --git a/rubygem-foreman_discovery/rubygem-foreman_discovery.spec b/rubygem-foreman_discovery/rubygem-foreman_discovery.spec
index a2bf61cb2..7560e354d 100644
--- a/rubygem-foreman_discovery/rubygem-foreman_discovery.spec
+++ b/rubygem-foreman_discovery/rubygem-foreman_discovery.spec
@@ -38,26 +38,27 @@ Requires:   foreman >= 1.9.0
 Requires:   %{?scl_prefix}rubygem(deface) < 2.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
 BuildRequires: foreman-plugin >= 1.9.0
 BuildRequires: %{?scl_prefix}rubygem(deface) < 2.0
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-discovery
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 MaaS Discovery Plugin engine for Foreman.
@@ -65,6 +66,7 @@ MaaS Discovery Plugin engine for Foreman.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
diff --git a/rubygem-foreman_docker/rubygem-foreman_docker.spec b/rubygem-foreman_docker/rubygem-foreman_docker.spec
index 6b9fb7a3b..e6a4b5d94 100644
--- a/rubygem-foreman_docker/rubygem-foreman_docker.spec
+++ b/rubygem-foreman_docker/rubygem-foreman_docker.spec
@@ -37,19 +37,19 @@ BuildRequires: %{?scl_prefix}rubygem(wicked) >= 1.1
 BuildRequires: %{?scl_prefix}rubygem(wicked) < 2.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildRequires: foreman-assets
 
 BuildArch: noarch
@@ -57,6 +57,7 @@ BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-docker
 Provides: foreman-docker
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This plugin enables provisioning and managing Docker containers and images in
@@ -65,6 +66,7 @@ Foreman.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -183,4 +185,3 @@ exit 0
 
 * Tue Apr 29 2014 Dominic Cleal <dcleal@redhat.com> 0.0.3-1
 - new package built with tito
-
diff --git a/rubygem-foreman_graphite/rubygem-foreman_graphite.spec b/rubygem-foreman_graphite/rubygem-foreman_graphite.spec
index 5ab6fee20..96b8da7e2 100644
--- a/rubygem-foreman_graphite/rubygem-foreman_graphite.spec
+++ b/rubygem-foreman_graphite/rubygem-foreman_graphite.spec
@@ -28,25 +28,26 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.7.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(graphite-api)
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-graphite
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Adds graphite support for Foreman.
@@ -59,6 +60,7 @@ You will need to install a graphite instance to use this plugin.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -112,4 +114,3 @@ exit 0
 
 * Wed Jan 14 2015 Dominic Cleal <dcleal@redhat.com> 0.0.2-1
 - new package built with tito
-
diff --git a/rubygem-foreman_hooks/rubygem-foreman_hooks.spec b/rubygem-foreman_hooks/rubygem-foreman_hooks.spec
index afc878076..9fd184b5e 100644
--- a/rubygem-foreman_hooks/rubygem-foreman_hooks.spec
+++ b/rubygem-foreman_hooks/rubygem-foreman_hooks.spec
@@ -27,24 +27,25 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.2.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-hooks
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Plugin engine for Foreman that enables running custom hook scripts on Foreman
@@ -54,6 +55,7 @@ events.
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
 Requires:   %{?scl_prefix}rubygem(jgrep)
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -126,4 +128,3 @@ ln -s %{gem_instdir} %{buildroot}%{foreman_dir}/%{gem_name}
 
 * Thu Aug 29 2013 Dominic Cleal <dcleal@redhat.com> 0.3.3-1
 - new package built with tito
-
diff --git a/rubygem-foreman_host_rundeck/rubygem-foreman_host_rundeck.spec b/rubygem-foreman_host_rundeck/rubygem-foreman_host_rundeck.spec
index 8192eb8ce..49e9df452 100644
--- a/rubygem-foreman_host_rundeck/rubygem-foreman_host_rundeck.spec
+++ b/rubygem-foreman_host_rundeck/rubygem-foreman_host_rundeck.spec
@@ -27,19 +27,19 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.6.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
@@ -47,6 +47,7 @@ Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-host-rundeck
 Provides: foreman-plugin-host_rundeck
 Provides: foreman-plugin-rundeck
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Plugin to create rundeck output for hosts.
@@ -55,6 +56,7 @@ Plugin to create rundeck output for hosts.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -103,4 +105,3 @@ exit 0
 %changelog
 * Fri Jan 02 2015 Dominic Cleal <dcleal@redhat.com> 0.0.2-1
 - new package built with tito
-
diff --git a/rubygem-foreman_memcache/rubygem-foreman_memcache.spec b/rubygem-foreman_memcache/rubygem-foreman_memcache.spec
index f40c49c83..d88c4f745 100644
--- a/rubygem-foreman_memcache/rubygem-foreman_memcache.spec
+++ b/rubygem-foreman_memcache/rubygem-foreman_memcache.spec
@@ -29,24 +29,25 @@ Requires:   foreman >= 1.2.0
 Requires:   %{?scl_prefix}rubygem(dalli)
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-memcache
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Adds memcache integeration to foreman.
@@ -54,6 +55,7 @@ Adds memcache integeration to foreman.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -101,4 +103,3 @@ mv %{buildroot}/%{gem_instdir}/%{gem_name}.yaml.example %{buildroot}%{foreman_pl
 %changelog
 * Tue Sep 17 2013 Dominic Cleal <dcleal@redhat.com> 0.0.3-1
 - new package built with tito
-
diff --git a/rubygem-foreman_noenv/rubygem-foreman_noenv.spec b/rubygem-foreman_noenv/rubygem-foreman_noenv.spec
index d90c2e31a..edd951457 100644
--- a/rubygem-foreman_noenv/rubygem-foreman_noenv.spec
+++ b/rubygem-foreman_noenv/rubygem-foreman_noenv.spec
@@ -29,24 +29,25 @@ Requires:   foreman >= 1.8.0
 Requires:   %{?scl_prefix}rubygem(deface) < 2.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-noenv
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Adds an 'agent-specified host' option to each host in Foreman that prevents
@@ -55,6 +56,7 @@ the ENC from outputting host's Puppet environment.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
diff --git a/rubygem-foreman_one/rubygem-foreman_one.spec b/rubygem-foreman_one/rubygem-foreman_one.spec
index 537f02421..46f4be260 100644
--- a/rubygem-foreman_one/rubygem-foreman_one.spec
+++ b/rubygem-foreman_one/rubygem-foreman_one.spec
@@ -30,19 +30,19 @@ Requires:   %{?scl_prefix}rubygem(fog) >= 1.23.0
 Requires:   %{?scl_prefix}rubygem(opennebula) >= 4.4.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
@@ -51,6 +51,7 @@ Provides: foreman-plugin-one
 Provides: foreman-plugin-opennebula
 Provides: foreman-one
 Provides: foreman-opennebula
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This plugin enables provisioning and managing OpenNebula VMs in Foreman.
@@ -58,6 +59,7 @@ This plugin enables provisioning and managing OpenNebula VMs in Foreman.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -103,4 +105,3 @@ GEMFILE
 %changelog
 * Wed Aug 13 2014 Dominic Cleal <dcleal@redhat.com> 0.2-1
 - new package built with tito
-
diff --git a/rubygem-foreman_openscap/rubygem-foreman_openscap.spec b/rubygem-foreman_openscap/rubygem-foreman_openscap.spec
index e8775face..d69eb9907 100644
--- a/rubygem-foreman_openscap/rubygem-foreman_openscap.spec
+++ b/rubygem-foreman_openscap/rubygem-foreman_openscap.spec
@@ -30,16 +30,16 @@ Requires: %{?scl_prefix}rubygem(deface) < 2.0
 Requires: %{?scl_prefix}rubygem(scaptimony) >= 0.3.2
 Requires: %{?scl_prefix}rubygem(scaptimony) < 0.4.0
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
-Requires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
-Requires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildRequires: foreman-assets >= 1.7.0
 BuildRequires: foreman-plugin >= 1.8.0
 BuildRequires: %{?scl_prefix}rubygem(deface) < 2.0
@@ -49,6 +49,7 @@ BuildRequires: %{?scl_prefix}rubygem(scaptimony) < 0.4.0
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-openscap
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Foreman plug-in for managing security compliance reports.
@@ -58,6 +59,7 @@ Foreman plug-in for managing security compliance reports.
 Summary: Documentation for %{name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-foreman_param_lookup/rubygem-foreman_param_lookup.spec b/rubygem-foreman_param_lookup/rubygem-foreman_param_lookup.spec
index a08468ae6..b735e17f0 100644
--- a/rubygem-foreman_param_lookup/rubygem-foreman_param_lookup.spec
+++ b/rubygem-foreman_param_lookup/rubygem-foreman_param_lookup.spec
@@ -28,25 +28,26 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.2.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-param_lookup
 Provides: foreman-plugin-param-lookup
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Exposes smart class parameters lookups as an API.
@@ -54,6 +55,7 @@ Exposes smart class parameters lookups as an API.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -105,4 +107,3 @@ GEMFILE
 
 * Mon Nov 04 2013 Dominic Cleal <dcleal@redhat.com> 0.1.0-1
 - new package built with tito
-
diff --git a/rubygem-foreman_remote_execution/rubygem-foreman_remote_execution.spec b/rubygem-foreman_remote_execution/rubygem-foreman_remote_execution.spec
index 52d74f9b6..57c1a7f38 100644
--- a/rubygem-foreman_remote_execution/rubygem-foreman_remote_execution.spec
+++ b/rubygem-foreman_remote_execution/rubygem-foreman_remote_execution.spec
@@ -25,34 +25,35 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.9.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(foreman-tasks) >= 0.7.3
 Requires: %{?scl_prefix}rubygem(foreman-tasks) < 0.8.0
-Requires: %{?scl_prefix}rubygem(rails) >= 3.2.8
-Requires: %{?scl_prefix}rubygem(rails) < 3.3.0
+Requires: %{?scl_prefix_ruby}rubygem(rails) >= 3.2.8
+Requires: %{?scl_prefix_ruby}rubygem(rails) < 3.3.0
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
 BuildRequires: foreman-plugin >= 1.9.0
 BuildRequires: foreman-assets
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildRequires: %{?scl_prefix}rubygem(foreman-tasks) >= 0.7.3
 BuildRequires: %{?scl_prefix}rubygem(foreman-tasks) < 0.8.0
-BuildRequires: %{?scl_prefix}rubygem(rails) >= 3.2.8
-BuildRequires: %{?scl_prefix}rubygem(rails) < 3.3.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(rails) >= 3.2.8
+BuildRequires: %{?scl_prefix_ruby}rubygem(rails) < 3.3.0
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-remote_execution
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A plugin bringing remote execution to the Foreman, completing the config
@@ -61,6 +62,7 @@ management functionality with remote management functionality
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
